No resource identifier found for attribute 'scrollIndicators'

jb_tcjb_tc USMember ✭✭
edited August 2017 in Xamarin.Forms

Hi,

If I want to build my Project, I got this error:
Error APT0000: No resource identifier found for attribute 'scrollIndicators' in package 'android'

I have no Idea why, or what I should do.

Full error:
/Volumes/Macintosh HD/Visual Studio/Xamarin/TC/TC.Android/obj/Debug/__library_projects__/Xamarin.Android.Support.v7.AppCompat/library_project_imports/res/layout/abc_alert_dialog_button_bar_material.xml(0,0): Error APT0000: No resource identifier found for attribute 'scrollIndicators' in package 'android' (APT0000) (TC.Android)

What can I do? :) Has anybody a solution?

I already tried to clean xamarin tmp, clean project, remove obj and bin folder. Nothing solved the problem.


Best Answers

  • jb_tcjb_tc US ✭✭
    Accepted Answer

    I fixed it by the following steps:

    • Removing all NuGet Packages and References (Also from all other Android Projects, which are referenced)
    • Select the new Target version
    • Install Xamarin Forms and all other NuGet Packages again.
    • Clean project
    • Rebuild the project.

    After I changed from 5.0 to 7.1 I also need to install Xamarin.Android.Support.Design manually.

    I currently use Xamarin Forms 2.3.4.270 and Android 7.1.

    Maybe this helps.

Answers

  • elAmenelAmen USMember ✭✭

    Am also experiencing the same thing currently.
    Mine happens when I switch the Compile using android version in project properties/Application tab from Android 7.1 (nougat) to Android 5.1 (lollipop).
    I have developed and tested the project with 7.1 Now I want to test it for lower version of android.
    I will keep searching for the fix when I get it I will update you.
    Kindly post it in case you get it first.
    Thank you.

  • jb_tcjb_tc USMember ✭✭
    Accepted Answer

    I fixed it by the following steps:

    • Removing all NuGet Packages and References (Also from all other Android Projects, which are referenced)
    • Select the new Target version
    • Install Xamarin Forms and all other NuGet Packages again.
    • Clean project
    • Rebuild the project.

    After I changed from 5.0 to 7.1 I also need to install Xamarin.Android.Support.Design manually.

    I currently use Xamarin Forms 2.3.4.270 and Android 7.1.

    Maybe this helps.

  • MichalKukucaMichalKukuca USMember ✭✭

    That's nice, but what am I supposed to do when I want to keep Minimum Android version on API LEVEL 18 ? :smile:
    Any ideas?

  • MichalKukucaMichalKukuca USMember ✭✭

    It turned out that one of the solution project target platform was set to 5.1. Luckily, changing it to the latest versione fixed my problem.

Sign In or Register to comment.